import { ServiceLogger } from "./logging";
export declare class ConfigReader {
    private readonly logger;
    constructor(logger?: ServiceLogger | null);
    /**
     * Reads the configuration from the specified file and populates the given object with values from the file.
     *
     * @param configPath - path to the configuration file (e.g., './config.json')
     * @param defaultConfig - object with initial (default) configuration values
     * @returns the final object, merged with data from the file
     */
    readConfig<TConfig>(configPath: string, defaultConfig: TConfig): Promise<TConfig>;
}
