"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigReader = void 0;
const path = __importStar(require("path"));
const logging_1 = require("./logging");
const file_1 = require("./file");
class ConfigReader {
    logger;
    constructor(logger = null) {
        this.logger = logger === null ? (0, logging_1.createServiceLogger)("ConfigReader") : logger;
    }
    /**
     * Reads the configuration from the specified file and populates the given object with values from the file.
     *
     * @param configPath - path to the configuration file (e.g., './config.json')
     * @param defaultConfig - object with initial (default) configuration values
     * @returns the final object, merged with data from the file
     */
    async readConfig(configPath, defaultConfig) {
        try {
            const fullPath = path.resolve(configPath);
            const fileContent = await file_1.IOFile.read(fullPath);
            const parsedConfig = JSON.parse(fileContent);
            return Object.assign({}, defaultConfig, parsedConfig);
        }
        catch (error) {
            this.logger.error('Error reading or parsing the configuration file:', error);
            return defaultConfig;
        }
    }
}
exports.ConfigReader = ConfigReader;
